summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mario Preksavec2016-07-24 19:23:27 +0200
committer Willy Sudiarto Raharjo2016-07-30 03:28:21 +0200
commit51277c480f4601b9ebdeba4f429e2a7a50e55110 (patch)
tree85a8fdbedce27a963195572a125bffb07145164a
parent4875a9fd933d7b4661720f1e6ccb79b9f7a03e8d (diff)
downloadslackbuilds-51277c480f4601b9ebdeba4f429e2a7a50e55110.tar.gz
network/postfix: Updated for version 3.1.1.
Signed-off-by: Mario Preksavec <mario@slackware.hr>
-rw-r--r--network/postfix/README6
-rw-r--r--network/postfix/postfix.SlackBuild10
-rw-r--r--network/postfix/postfix.info6
3 files changed, 17 insertions, 5 deletions
diff --git a/network/postfix/README b/network/postfix/README
index c5eada0ee6..80840d5668 100644
--- a/network/postfix/README
+++ b/network/postfix/README
@@ -13,6 +13,12 @@ You can also enable support for MySQL:
DATABASE=mysql ./postfix.SlackBuild
+PostgreSQL support can be enabled with:
+
+ DATABASE=pgsql ./postfix.SlackBuild
+
+On systems with multiple instances, add major version, eg: DATABASE=pgsql-9.5
+
This script will find support for BerkleyDB and PCRE automagically; TLS support
requires openssl package, openssl-solibs alone is not enough. Additionally, this
script doesn't add postfix user and groups, instead it offers sane defaults that
diff --git a/network/postfix/postfix.SlackBuild b/network/postfix/postfix.SlackBuild
index fede621f0a..6a4690fa87 100644
--- a/network/postfix/postfix.SlackBuild
+++ b/network/postfix/postfix.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
#
# Copyright 2006, 2011 Alan Hicks, Lizella, GA
-# Copyright 2010, 2011, 2013, 2014, 2015 Mario Preksavec, Zagreb, Croatia
+# Copyright 2010, 2011, 2013, 2014, 2015, 2016 Mario Preksavec, Zagreb, Croatia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=postfix
-VERSION=${VERSION:-3.0.3}
+VERSION=${VERSION:-3.1.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -69,6 +69,12 @@ DATABASE=${DATABASE:-none}
case "$DATABASE" in
mysql) DBARGS="-I/usr/include/mysql -DHAS_MYSQL"
DBLIBS="-L/usr/lib${LIBDIRSUFFIX}/mysql -lmysqlclient -lz -lm" ;;
+ pgsql*) PGVER=${DATABASE/pgsql-}
+ [ "$PGVER" = "pgsql" ] && PGVER=$(ls /usr/lib${LIBDIRSUFFIX}/postgresql/)
+ [ -d "/usr/lib${LIBDIRSUFFIX}/postgresql/$PGVER/lib" ] && {
+ DBARGS="-I/usr/include/postgresql -DHAS_PGSQL"
+ DBLIBS="-L/usr/lib${LIBDIRSUFFIX}/postgresql/$PGVER/lib -lpq -lz -lm"
+ } || echo "PostgreSQL not found" ;;
*) DBARGS=""
DBLIBS="" ;;
esac
diff --git a/network/postfix/postfix.info b/network/postfix/postfix.info
index bad4531276..2fc9896475 100644
--- a/network/postfix/postfix.info
+++ b/network/postfix/postfix.info
@@ -1,8 +1,8 @@
PRGNAM="postfix"
-VERSION="3.0.3"
+VERSION="3.1.1"
HOMEPAGE="http://www.postfix.org/"
-DOWNLOAD="http://de.postfix.org/ftpmirror/official/postfix-3.0.3.tar.gz"
-MD5SUM="61caffae689c11d09b4c972a394ae3b1"
+DOWNLOAD="http://de.postfix.org/ftpmirror/official/postfix-3.1.1.tar.gz"
+MD5SUM="40d72ea143af7ab0038c2cee1f483707"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""